<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Tests/Indomethacin/FitIndomethacin.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_33c78a012c8d08979f57a54a07694c46.html">Tests</a></li><li class="navelem"><a class="el" href="../../dir_2507f1f1b1c595bc5158356c018ea56a.html">Indomethacin</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">FitIndomethacin.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d9/d5a/_fit_indomethacin_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;initPaths()</div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;% Make the data </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;load indomethacin</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;data=[time,concentration, subject,ones(size(subject))];</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;data=array2table(data,<span class="stringliteral">&#39;VariableNames&#39;</span>, {<span class="stringliteral">&#39;Time&#39;</span>,<span class="charliteral">&#39;Y&#39;</span>,<span class="stringliteral">&#39;TrackID&#39;</span>,<span class="stringliteral">&#39;YID&#39;</span>});</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;% Write the data in the data folder</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;writetable(data,<span class="stringliteral">&#39;./DataForEstimation/data.csv&#39;</span>)</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160; </div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;%% Do the estimation</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;GTSoptions=<a class="code" href="../../d3/d9c/get_g_t_soptions_8m.html#ae647b62533f002ee981fb9dc2fc63d7a">getGTSoptions</a>();</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;GTSoptions.FSopt.parWorkers=8;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;GTSoptions.compileflag=0;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;GTSoptions.testflag=1;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;GTSoptions.runSecondStage=1;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;GTSoptions.SSopt.inpfiles={<span class="stringliteral">&#39;data&#39;</span>};</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;GTSoptions.SSopt.Optimization=<span class="stringliteral">&#39;LGTS_EM&#39;</span>;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;% <a class="code" href="../../d6/d19/_call_run_g_t_s_8m.html#a58ebca8235214b8d1161e6d415989219">CallRunGTS</a>(model_name,datafolder,dataname,GTSoptions)</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<a class="code" href="../../d6/d19/_call_run_g_t_s_8m.html#a58ebca8235214b8d1161e6d415989219">CallRunGTS</a>(<span class="stringliteral">&#39;Indomethacin&#39;</span>,[],<span class="stringliteral">&#39;data&#39;</span>,GTSoptions)</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;%</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="a_call_run_g_t_s_8m_html_a58ebca8235214b8d1161e6d415989219"><div class="ttname"><a href="../../d6/d19/_call_run_g_t_s_8m.html#a58ebca8235214b8d1161e6d415989219">CallRunGTS</a></div><div class="ttdeci">function CallRunGTS(in model_name, in datafolder, in dataname, in GTSoptions)</div><div class="ttdoc">Call function to run GTS estimation %&gt; %&gt; More detailed description. %&gt; %&gt;</div></div>
<div class="ttc" id="aget_g_t_soptions_8m_html_ae647b62533f002ee981fb9dc2fc63d7a"><div class="ttname"><a href="../../d3/d9c/get_g_t_soptions_8m.html#ae647b62533f002ee981fb9dc2fc63d7a">getGTSoptions</a></div><div class="ttdeci">function getGTSoptions()</div><div class="ttdoc">getGTSoptions initialses the options structure to be run in the GTS</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:30 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
